Enable Matroska and WebM containers on Wikimedia sites
Closed, ResolvedPublic

Description

I think we should enable support to upload Matroska and WebM (WebM being a profile of Matroska, using VP8 video and Vorbis audio).

Matroska files are much more suitable for re-use (especially editing) than already supported OGG container format.

File extensions/mime types for Matroska:

.mka audio/x-matroska
.mkv video/mkv video/x-matroska
.mk3d video/x-matroska-3d

File extensions/mime types for WebM:

.webm audio/webm
.webm video/webm

http://www.matroska.org/technical/specs/notes.html

http://www.webmproject.org/code/specs/container/


Version: unspecified
Severity: enhancement
Whiteboard: aklapper-moreinfo

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz30653.
saper created this task.Via LegacyAug 31 2011, 9:07 AM
brion added a comment.Via ConduitAug 31 2011, 5:30 PM

Adding bug 27699 (deploy TimedMediaHandler ext) as dependency, as that's what adds WebM support and automatic transcoding.

saper added a comment.Via ConduitAug 31 2011, 11:07 PM

TimedMediaHandler is a cool thing, what I was thinking about is just possibility to upload .mkv files as plain binary files, to facilitate editing by those who download it from Commons.

Sure, having them streamed and subtitled would be a cool thing, but that comes next. I also understand that we without the media handler we can't meaningfully [[File:...]] them into a wiki.

Aklapper added a comment.Via ConduitFeb 5 2013, 11:26 AM

Marcin: Is this fixed by the TMH deployment in November 2012?

Aklapper added a comment.Via ConduitFeb 27 2013, 4:52 PM

Marcin: ping?

Nemo_bis added a comment.Via ConduitApr 4 2013, 10:21 PM

Yes, I'd call this fixed. WebM is a subset of Matroska, I don't think that any full Matroska support is in the works and probably it will never be (for instance we want subtitles to be separate from the file, don't we).

Kozuch awarded a token.Via WebDec 17 2014, 8:08 PM

Add Comment